1. I pledge the highest level of ethical principles in support of academic excellence.
I ensure that all of my work reflects my own abilities and not those of someone else.


2. What code do we need to change/add/remove to support this feature?
in the calc logic - add order of operators in  equal function and add insert multiplication
Which tests can we run on the calculator? On the activity? On the app?
The main challenge are :
Order of operation
Minus\Plus consideration.
so we will need to check those pretty closely in the calculator , for example :
test :
3*-3+9
-3*-3
1+1+1+1*5
 etc ...
 
 on the activity we will test our new button "X" .
 on the app we will want to see that things are being saved between stages .
